Skip to main content
POST
/
email
/
sending-identities
/
{identityId}
/
verify
Begin verification
curl --request POST \
  --url https://www.dench.com/api/v1/email/sending-identities/{identityId}/verify \
  --header 'Authorization: Bearer <token>'
{
  "identityId": "esi_abc123",
  "fromEmail": "founder@example.com",
  "denchVerificationStatus": "pending",
  "deliveryVerificationStatus": "pending",
  "action": "mailbox_verification_sent",
  "message": "Verification email sent. Open the link in that mailbox, then check sender status again."
}

Authorizations

Authorization
string
header
required

Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.

Path Parameters

identityId
string
required

Sending identity id from POST /email/sending-identities.

Response

Successful response

identityId
string
required
fromEmail
string
required
denchVerificationStatus
enum<string>
required
Available options:
pending,
verified
deliveryVerificationStatus
enum<string>
required
Available options:
pending,
verified
action
enum<string>
required
Available options:
already_verified,
mailbox_verification_sent,
domain_dns_ready,
workspace_verification_sent
message
string
required
dkimTokens
string[]
dnsRecords
object[]